ServerEvents.recipes(event =>{
  event.shaped('powah:energy_cell_creative', ["aba", "cdc", "aba"], {
    a: "powah:nitro_crystal_block",
    b: "powah:energy_cell_nitro",
    c: "powah:ender_cell_spirited",
    d: "kubejs:ultimate_gear"
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('refinedstorageaddons:creative_wireless_crafting_grid', ["aba", "cdc", "aba"], {
    a: "refinedstorage:wireless_crafting_monitor",
    b: "extrastorage:storagepart_1048576k_fluid",
    c: "extrastorage:storagepart_16384k",
    d: "kubejs:ultimate_gear"
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('thermal:rf_coil_creative_augment', ["aba", "bcb", "aba"], {
    a: "minecraft:netherite_block",
    b: "thermal_extra:rf_coil_storage_augment_5",
    c: "kubejs:ultimate_gear"
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('thermal:machine_efficiency_creative_augment', ["aba", "bcb", "aba"], {
    a: "minecraft:netherite_block",
    b: "thermal_extra:machine_speed_augment_4",
    c: "kubejs:ultimate_gear"
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('create:creative_fluid_tank', ["aba", "bcb", "aba"], {
    a: "minecraft:netherite_block",
    b: "mekanism:ultimate_fluid_tank",
    c: "kubejs:ultimate_gear"
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('create:creative_motor', ["aba", "bcb", "aba"], {
    a: "create:blaze_burner",
    b: "minecraft:netherite_block",
    c: "kubejs:ultimate_gear"
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('create:creative_blaze_cake', ["aba", "bcb", "aba"], {
    a: "minecraft:netherite_block",
    b: "create:precision_mechanism",
    c: "kubejs:ultimate_gear"
    })
  })
ServerEvents.recipes(event =>{
  event.remove({ output: 'botanypotstiers:creative_terracotta_botany_pot' })
  event.shaped('botanypotstiers:creative_terracotta_botany_pot', ["   ", " b ", "aca"], {
    a: "minecraft:netherite_block",
    b: "kubejs:ultimate_gear",
    c: "botanypotstiers:ultra_terracotta_hopper_botany_pot"
    })
})
ServerEvents.recipes(event =>{
  event.remove({ output: 'botanypotstiers:creative_terracotta_hopper_botany_pot' })
  event.shaped('botanypotstiers:creative_terracotta_hopper_botany_pot', [" a ", " b ", "cdc"], {
    a: "kubejs:ultimate_gear",
    b: "botanypotstiers:ultra_terracotta_hopper_botany_pot",
    c: "minecraft:netherite_block",
    d: "minecraft:hopper"
    })
  event.shapeless('botanypotstiers:creative_terracotta_hopper_botany_pot',[
    'minecraft:hopper',
    'botanypotstiers:creative_terracotta_botany_pot',
    ])
})

ServerEvents.recipes(event =>{
  event.shaped(Item.of('ironjetpacks:cell', {Id:"ironjetpacks:creative"}).strongNBT(), [" a ", "bcb", " a "], {
    a: "minecraft:redstone",
    b: "minecraft:netherite_block",
    c: "ironjetpacks:ultimate_coil"
    })
})
ServerEvents.recipes(event =>{
  event.shaped(Item.of('ironjetpacks:thruster', { Id:"ironjetpacks:creative" }).strongNBT(), ["aba", "bcb", "ada"], {
    a: 'minecraft:netherite_block',
    b: 'ironjetpacks:ultimate_coil',
    c: Item.of('ironjetpacks:cell', { Id: "ironjetpacks:creative" }).strongNBT(),
    d: 'ironfurnaces:netherite_furnace'
    })
})
ServerEvents.recipes(event =>{
  event.shaped(Item.of('ironjetpacks:jetpack', {Id:"ironjetpacks:creative"}).strongNBT(), ["aba", "aca", "ded"], {
    a: "minecraft:netherite_block",
    b: Item.of('ironjetpacks:capacitor', {Id:"ironjetpacks:creative"}).strongNBT(),
    c: Item.of('ironjetpacks:jetpack', {Id:"ironjetpacks:emerald"}).strongNBT(),
    d: Item.of('ironjetpacks:thruster', { Id:"ironjetpacks:creative" }).strongNBT(),
    e: "kubejs:ultimate_gear"
    })
})
ServerEvents.recipes(event =>{
  event.shaped(Item.of('ironjetpacks:capacitor', {Id:"ironjetpacks:creative"}).strongNBT(), ["aba", "aba", "aba"], {
    a: "minecraft:netherite_block",
    b: Item.of('ironjetpacks:cell', { Id: "ironjetpacks:creative" }).strongNBT()
    })
})

// Item.of('ironjetpacks:cell', '{Id:"ironjetpacks:creative"}') Item.of('ironjetpacks:capacitor', '{Id:"ironjetpacks:creative"}')